We appreciate and recognize [all contributors](https://github.com/veggiemonk/awesome-docker/graphs/contributors).

Please note that this project is released with a [Contributor Code of Conduct](https://github.com/sindresorhus/awesome/blob/master/code-of-conduct.md). By participating in this project you agree to abide by its terms.

# Table of Contents

- [Awesome Docker contribution guidelines](#contribution-guidelines)
- [Quality Standard](#quality-standard)

# Contribution Guidelines

#### Your commit message will be a tweet so make a beautiful commit message, keep that in mind :)

- **To add to the list:** Submit a pull request or open an issue
- **To remove from the list:** Submit a pull request or open an issue
- want to change something: Submit a pull request or open an issue
- want to try something else: Submit a pull request or open an issue
- don't know what to do: Submit a pull request or open an issue, let us know what's going on.

or you can

#### Join the chat:

[![Join the chat at https://gitter.im/veggiemonk/awesome-docker](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/veggiemonk/awesome-docker)

or you can

#### ping us on twitter:

* [veggiemonk](https://twitter.com/veggiemonk)
* [idomyowntricks](https://twitter.com/idomyowntricks)
* [gesellix](https://twitter.com/gesellix)
* [dmitrytokarev](https://twitter.com/dmitrytok)

`awesome-docker` is a hand-crafted list for high-quality information about docker and its resources.
It would be nice if it is related or compatible with docker in some way.
But if it's awesome, let's us know why and you're good to go!

- Each item should be limited to one link, no duplicates, no redirection (careful with `http` vs `https`!)
- The link should be the name of the package or project or website
- Description should be clear and concise (read it out loud to be sure)
- Description should follow the link, on the same line
- if you want to add more than one link, please don't do all PR on the exact same line, it usually results in conflicts and your PR cannot be automatically merged...

Please contribute links to packages/projects you have used or are familiar with. This will help ensure high-quality entries.


# Quality standard

Note that we can help you achieve those standards, just try your best, be brave.
We'll guide you to the best of our abilities.

To be on the list, it would be *nice* if entries adhere to these quality standards:

- Generally useful to the community.
- A project on github with a beautiful readme and plenty of examples is considered high quality.
- Clearly stating when an entry is relating to (Linux) containers and not Docker.
- Clearly "what is it" i.e. which category it belongs. Just try your best, we'll help you if needed.
- Clearly stating "what is it for" i.e. mention the problem it solves. Just try your best, make it clear for the next person.
- Solves a real problem (even a small one).
- if it is a **WIP** (work in progress, not safe for production), mention it. (Remember the time before Docker 1.0 ? ;-) )

To be on the list, the project **must** have:

- How to setup the project
- How to use the project (examples)


If your PR is not merged, we will tell you why so that you may be able to improve it. 
But usually, we are pretty relaxed people, so just come and say hi, we'll figure something out together.

